// SERVICES==============================================

.service {
	display: flex;
	justify-content: space-between;
	// .service__category
	&__category {
		max-width: 220px;
		min-width: 220px;
		margin: 80px 20px 0px 0px;
	}

	// .service__category--title

	&__category--main-title {
		font-family: "Nunito Bold";
		font-size: 24px;
		line-height: 32px;
		color: #4e4e4e;
		margin: 0px 0px 25px 0px;
	}

	// .service__category--row

	&__category--row {
		border: 1px solid #0057b1;
		border-bottom: none;
		a.active {
			.service__category--column {
				background-color: #0057b1;
			}
			.service__category--title {
				color: #ffffff;
			}
			.service__category--ico {
				img {
					display: none;
				}
				.hover {
					display: block;
				}
			}
		}
	}

	// .service__category--column
	&__category--column {
		position: relative;
		height: 50px;
		padding: 5px;
		border-bottom: 1px solid #0057b1;
		display: flex;
		align-items: center;
		&:hover {
			background-color: #0057b1;
			.service__category--title {
				color: #ffffff;
			}
			.service__category--ico {
				img {
					display: none;
				}
				.hover {
					display: block;
				}
			}
		}
	}

	// .service__category--ico

	&__category--ico {
		position: absolute;
		max-width: 50px;
		max-height: 50px;
		top: 50%;
		left: 34px;
		transform: translate(0, -50%);
		.hover {
			display: none;
		}
	}

	// .service__category--title
	&__category--title {
		font-size: 16px;
		font-family: "Nunito Regular";
		color: #4e4e4e;
		padding: 0px 5px 0px 70px;
	}

	// .service__category--checkbox

	&__category--checkbox {
		width: 21.67px;
		height: 24.88px;
		background-color: #4e4e4e;
		margin: 0px 0px 0px 34px;
	}

	// .service__category--checkbox-title

	&__category--checkbox-title {
		color: #4e4e4e;
		font-size: 16px;
		margin: 0px 0px 0px 15px;
	}

	.services {
		max-width: 890px;
		margin: 0 auto;
		&__row {
			margin: 50px 0px 0px 0px;
		}
	}

	.services {
		// custom checkbox
		// .services__sort
		&__sort {
			display: flex;
			flex-wrap: wrap;
			&--title {
				font-family: "Nunito Regular";
				font-size: 16px;
				line-height: 21px;
				color: #818181;
				text-transform: uppercase;
				margin: 0px 40px 0px 0px;
			}
			.text1,
			.text2 {
				font-size: 14px;
				line-height: 19px;
				padding: 0px 10px;
				color: #818181;
			}
			.text1 {
				color: #0057b1;
				text-decoration: underline;
			}
			.switch {
				position: relative;
				display: flex;
				margin: 0px 50px 20px 0px;
				&.active {
					.text1 {
						color: #818181;
						text-decoration: none;
					}
					.text2 {
						color: #0057b1;
						text-decoration: underline;
					}
				}
			}

			.switch input {
				opacity: 0;
				width: 0;
				height: 0;
			}
			.slider {
				position: relative;
				cursor: pointer;
				width: 40px;
				height: 18px;
				transition: 0.4s;
				background-color: #d8d8d8;
				border-radius: 9px;
			}
			.slider::before {
				position: absolute;
				content: "";
				height: 14px;
				width: 14px;
				border-radius: 7px;
				left: 2px;
				bottom: 2px;
				transition: 0.4s;
				background-color: #0057b1;
			}
			.switch input:checked + .slider {
			}
			.switch input:checked + .slider::before {
				transform: translateX(22px);
			}
		}
	}

	@media (max-width: 1280px) {
		margin: 20px 0px 0px 20px;
		.services__row {
			flex-direction: column;
		}
		.services__column {
			width: 100%;
		}
	}
}

// NEWS FORM =====================================================================================================================================
.form-news {
	display: flex;
	max-width: 1200px;
	justify-content: space-between;
	margin: 70px auto 130px auto;
	// .form-news__container
	&__container {
		max-width: calc(100% - 275px);
	}

	// .form-news__big-title
	&__big-title {
		font-family: "Nunito Bold";
		font-size: 24px;
		line-height: 32px;
		padding: 0px 0px 0px 8px;
		border-left: 3px solid #0057b1;
		color: #4e4e4e;
	}

	// .form-news__row
	&__row {
		margin: 31px 0px 0px 0px;
	}

	// .form-news__column
	&__column {
		display: flex;
		min-height: 130px;
		position: relative;
		margin: 0px 0px 35px 0px;
		&:hover {
			.form-news__title {
				color: #0057b1;
				border-bottom: 1px solid #0057b1;
			}
			.form-news__link {
				color: #0057b1;
				background-color: #fff;
			}
		}
	}

	// .form-news__img
	&__img {
		min-width: 180px;
		max-width: 217px;
		// height: 130px;
		height: 140px;
		overflow: hidden;
		text-align: center;
		border-left: 1px solid #0057b1;
		border-bottom: 1px solid #0057b1;
		img {
			object-position: center;
			object-fit: cover;
			max-width: 180px;
			margin: 0 auto;
			height: 100%;
		}
	}

	// .form-news__content
	&__content {
		margin: 0px 0px 0px 25px;
		max-width: calc(100% - 206px);
	}

	// .form-news__title
	&__title {
		font-family: "Nunito Bold";
		font-size: 16px;
		line-height: 21px;
		// height: 42px;
		overflow: hidden;
		color: #45414d;
		border-bottom: 1px solid transparent;
		margin-bottom: 8px;
		a {
			color: #45414d;
		}
		&:hover {
			color: #0057b1;
			a {
				color: #0057b1;
			}
		}
	}

	// .form-news__text
	&__text {
		font-family: "Nunito Regular";
		font-size: 14px;
		line-height: 19px;
		height: 38px;
		overflow: hidden;
		color: #605f5f;
		a {
			color: inherit;
		}

		em,
		strong {
			font-style: normal;
			font-weight: normal;
		}
	}

	// .form-news__link
	&__link {
		width: 130px;
		height: 30px;
		margin: 20px 0px 0px 0px;
		line-height: 30px;
		transition: 0.3s;
		text-align: center;
		font-size: 12px;
		font-family: "Nunito Regular";
		background-color: #0057b1;
		color: #ffffff;
		display: flex;
		border: 1.5px solid #0057b1;
		a {
			color: inherit;
			width: 100%;
			height: 100%;
		}
	}

	// .form-news__date
	&__date {
		position: absolute;
		right: 12px;
		bottom: 5px;
		font-family: "Nunito Bold";
		font-size: 13px;
		line-height: 17px;
		color: #605f5f;
	}

	// .form-news__category
	&__category {
		width: 220px;
		min-width: 220px;
		margin: 60px 0px 0px 20px;
	}
	// .form-news__category--main-title
	&__category--main-title {
		font-family: "Nunito Bold";
		font-size: 24px;
		line-height: 32px;
		color: #4e4e4e;
		margin: 0px 0px 25px 0px;
		display: none;
	}
	// .form-news__category--row
	&__category--row {
		border: 1px solid #0057b1;
		border-bottom: none;
		display: block;
		& a.active,
		& a:hover {
			.form-news__category--column {
				background-color: #0057b1;
			}
			.form-news__category--name {
				color: #ffffff;
			}
		}
	}

	// .form-news__category--column
	&__category--column {
		height: 50px;
		border-bottom: 1px solid #0057b1;
		transition: 0.3s;
	}

	// .form-news__category--name
	&__category--name {
		font-family: "Nunito Regular";
		font-size: 16px;
		line-height: 20px;
		color: #4e4e4e;
		padding: 15px 10px 15px 20px;
	}
	@media (max-width: 1024px) {
		flex-direction: column-reverse;
		margin: 20px auto 50px auto;
		.form-news__container {
			width: 100%;
			max-width: 100%;
		}
		.form-news__category--main-title {
			background-color: #0057b1;
			color: #fff;
			padding: 10px 50px 10px 10px;
			cursor: pointer;
			position: relative;
			display: block;
			span {
				position: absolute;
				width: 20px;
				height: 20px;
				right: 15px;
				top: 50%;
				border-right: 3px solid #fff;
				border-bottom: 3px solid #fff;
				transform: translate(0, -75%) rotate(45deg);
				transition: 0.3s;
			}
			&.active span {
				transform: translate(0, -25%) rotate(225deg);
			}
		}
		.form-news__category {
			width: 100%;
			margin: 20px 0px 30px 00px;
		}
		.form-news__category--row {
			max-height: 0px;
			overflow: hidden;
			transition: 0.5s;
			visibility: hidden;
			&.active {
				max-height: 100vh;
				visibility: visible;
			}
		}
	}
	@media (max-width: 600px) {
		.form-news__column {
			flex-direction: column;
			align-items: center;
		}
		.form-news__img {
			margin: 0px 0px 20px 0px;
		}
		.form-news__content {
			margin: 0;
			width: 100%;
			max-width: 100%;
		}
	}
}

// ?PAGINATION=====================================================
.pagination {
	display: flex;
	width: fit-content;
	height: 30px;
	div {
		border: 1px solid #ebebeb;
		border-right: none;

		&:last-child {
			border: 1px solid #ebebeb;
		}
	}
	// .pagination__this
	&__this {
		display: flex;
		a {
			width: 100%;
			height: 100%;
			font-family: "Nunito Bold";
			font-size: 14px;
			line-height: 20px;
			padding: 5px 10px;
			color: #0057b1;
		}
		&.active,
		&:hover {
			border-top: 1px solid #0057b1;
			border-left: 1px solid #0057b1;
			border-bottom: 1px solid #0057b1;
			a {
				background-color: #0057b1;
				color: #ffffff;
			}
		}
	}

	&__prev,
	&__next {
		width: 30px;
		position: relative;
		display: flex;
		&:hover {
			border-top: 1px solid #0057b1;
			border-left: 1px solid #0057b1;
			border-bottom: 1px solid #0057b1;
			img {
				display: none;
				&.hover {
					display: block;
				}
			}
		}
		a {
			width: 100%;
			height: 100%;
		}
		img {
			position: absolute;
			top: 50%;
			left: 50%;
			transform: translate(-50%, -50%);
			&.hover {
				display: none;
			}
		}
		&:hover {
			background-color: #0057b1;
		}
	}
	// .pagination__prev
	&__prev {
	}
	// .pagination__next
	&__next {
		img {
			transform: translate(-50%, -50%) rotate(180deg);
		}
	}
}
